com.io7m.jtensors

## Interface MatrixWritable4x4FType

- All Superinterfaces:
    MatrixWritable2x2FType, MatrixWritable3x3FType, MatrixWritableFType
  All Known Subinterfaces:
    Matrix4x4FType, MatrixByteBuffered4x4FType, MatrixDirect4x4FType, PMatrix4x4FType<T0,T1>, PMatrixByteBuffered4x4FType<T0,T1>, PMatrixDirect4x4FType<T0,T1>, PMatrixWritable4x4FType<T,U>
  All Known Implementing Classes:
    MatrixByteBufferedM4x4F, MatrixDirectM4x4F, MatrixHeapArrayM4x4F, PMatrixByteBufferedM4x4F, PMatrixDirectM4x4F, PMatrixHeapArrayM4x4F

      public interface MatrixWritable4x4FType
      extends MatrixWritable3x3FType

  'Write' interface to 4x4 matrices with `float` elements.
  Since:
    7.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setR0C3F(float x)` Set row 0, column 3 of the matrix to `x`.
    `void` | `setR1C3F(float x)` Set row 1, column 3 of the matrix to `x`.
    `void` | `setR2C3F(float x)` Set row 2, column 3 of the matrix to `x`.
    `void` | `setR3C0F(float x)` Set row 3, column 0 of the matrix to `x`.
    `void` | `setR3C1F(float x)` Set row 3, column 1 of the matrix to `x`.
    `void` | `setR3C2F(float x)` Set row 3, column 2 of the matrix to `x`.
    `void` | `setR3C3F(float x)` Set row 3, column 3 of the matrix to `x`.
    `void` | `setRow0With4F(VectorReadable4FType v)` Set row 0 to `v`.
    `void` | `setRow1With4F(VectorReadable4FType v)` Set row 1 to `v`.
    `void` | `setRow2With4F(VectorReadable4FType v)` Set row 2 to `v`.
    `void` | `setRow3With4F(VectorReadable4FType v)` Set row 3 to `v`.
    `void` | `setRowWith4F(int row, VectorReadable4FType v)` Set row `row` of the matrix to `v`.
    `void` | `setRowWith4FUnsafe(int row, VectorReadable4FType v)` Set row `row` of the matrix to `v`.

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable3x3FType

      `setR0C2F, setR1C2F, setR2C0F, setR2C1F, setR2C2F, setRowWith3F, setRowWith3FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable2x2FType

      `setR0C0F, setR0C1F, setR1C0F, setR1C1F, setRowWith2F, setRowWith2FUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritableFType

      `setRowColumnF`

- - ### Method Detail

    - #### setRowWith4F

          void setRowWith4F(int row,
                            VectorReadable4FType v)

      Set row `row` of the matrix to `v`.
      Parameters:
        `row` - The row index
        `v` - The row vector

    - #### setRowWith4FUnsafe

          void setRowWith4FUnsafe(int row,
                                  VectorReadable4FType v)

      Set row `row` of the matrix to `v`. No bounds checking is performed for `row`, and out-of-bounds values result in undefined behaviour.
      Parameters:
        `row` - The row index
        `v` - The row vector

    - #### setRow0With4F

          void setRow0With4F(VectorReadable4FType v)

      Set row 0 to `v`.
      Parameters:
        `v` - The row vector

    - #### setRow1With4F

          void setRow1With4F(VectorReadable4FType v)

      Set row 1 to `v`.
      Parameters:
        `v` - The row vector

    - #### setRow2With4F

          void setRow2With4F(VectorReadable4FType v)

      Set row 2 to `v`.
      Parameters:
        `v` - The row vector

    - #### setRow3With4F

          void setRow3With4F(VectorReadable4FType v)

      Set row 3 to `v`.
      Parameters:
        `v` - The row vector

    - #### setR0C3F

          void setR0C3F(float x)

      Set row 0, column 3 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR1C3F

          void setR1C3F(float x)

      Set row 1, column 3 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR2C3F

          void setR2C3F(float x)

      Set row 2, column 3 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR3C0F

          void setR3C0F(float x)

      Set row 3, column 0 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR3C1F

          void setR3C1F(float x)

      Set row 3, column 1 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR3C2F

          void setR3C2F(float x)

      Set row 3, column 2 of the matrix to `x`.
      Parameters:
        `x` - The value

    - #### setR3C3F

          void setR3C3F(float x)

      Set row 3, column 3 of the matrix to `x`.
      Parameters:
        `x` - The value

Copyright © 2015 <code@io7m.com> http://io7m.com